import { ChangeDetectorRef, OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { FindStoreService } from '../services/find-store.service';
import * as i0 from "@angular/core";
export declare class FindStoreComponent implements OnInit {
    private findStoreService;
    cd: ChangeDetectorRef;
    stores: any;
    latitude?: number;
    longitude?: number;
    storeApiSubscried: boolean;
    zoom?: number;
    isDefaultPOS: any;
    homeBranchAddress: any;
    accountLists: any;
    branchName: string;
    homeBranchData: any;
    branchRes: BehaviorSubject<any>;
    showWaitCursor: BehaviorSubject<boolean>;
    arrayNorthIsland: any;
    arraySouthIsland: any;
    locationId: any;
    locationModalConstantsData: any;
    constructor(findStoreService: FindStoreService, cd: ChangeDetectorRef);
    ngOnInit(): void;
    getStores(): void;
    openMap(lat: number, long: number): void;
    onBranchChange(data: any): void;
    showPosition: (position: any) => void;
    getLocation(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FindStoreComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FindStoreComponent, "app-find-store", never, {}, {}, never, never>;
}
